it-swarm.com.de

Wie man vlc-qt unter Ubuntu erstellt 16.04

Ich habe die folgenden Schritte befolgt.

1.Downloaded den Quellcode als

git clone git://github.com/vlc-qt/vlc-qt.git
Cloning into 'vlc-qt'...
remote: Counting objects: 4785, done.
remote: Total 4785 (delta 0), reused 0 (delta 0), pack-reused 4785
Receiving objects: 100% (4785/4785), 3.14 MiB | 833.00 KiB/s, done.
Resolving deltas: 100% (3121/3121), done.
Checking connectivity... done.

2.Erstellen eines Build-Verzeichnisses.

mkdir build

3.Das Verzeichnis erstellen.

cd build

4.Verwenden Sie den Befehl make as

[email protected]:~/vlc-qt/build$ **cmake ..DCMAKE_BUILD_TYPE=Debug**
  -- Building VLC-Qt 1.2.0
  -- Git revision: 9b2f561
  -- The C compiler identification is GNU 5.4.0
  -- The CXX compiler identification is GNU 5.4.0
  -- Check for working C compiler: /usr/bin/cc
  -- Check for working C compiler: /usr/bin/cc -- works
  -- Detecting C compiler ABI info
  -- Detecting C compiler ABI info - done
  -- Detecting C compile features
  -- Detecting C compile features - done
  -- Check for working CXX compiler: /usr/bin/c++
  -- Check for working CXX compiler: /usr/bin/c++ -- works
  -- Detecting CXX compiler ABI info
  -- Detecting CXX compiler ABI info - done
  -- Detecting CXX compile features
  -- Detecting CXX compile features - done
  -- Build statically: OFF
  CMake Error at config/Dependencies.cmake:29 (FIND_PACKAGE):
  By not providing "FindQt5Quick.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "Qt5Quick",
  but CMake did not find one.

  Could not find a package configuration file provided by "Qt5Quick"
  (requested version 5.2.0) with any of the following names:

    **Qt5QuickConfig.cmake
    qt5quick-config.cmake**

  Add the installation prefix of "Qt5Quick" to CMAKE_PREFIX_PATH or set
  "Qt5Quick_DIR" to a directory containing one of the above files.  If
  "Qt5Quick" provides a separate development package or SDK, be sure it has
  been installed.
  Call Stack (most recent call first):
  CMakeLists.txt:50 (INCLUDE)


  -- Configuring incomplete, errors occurred!
  See also "/home/ajeet/vlc-qt/build/CMakeFiles/CMakeOutput.log".

Ich habe versucht, das Problem zu beheben und einige Lösungen wie Sudo apt-get install qt*5-dev zu finden, aber das funktioniert bei mir nicht.

Jede Hilfe und Anregungen werden im Voraus dankbar

1
Deepak

CMake teilt Ihnen mit, dass Sie die Qt5QuickConfig.cmake -Datei vermissen, die Teil des qtdeclarative5-dev -Pakets ist (zu finden mit packages.ubuntu.com ).

Das Kompilieren von vlc-qt erfordert einige weitere Pakete, die installiert werden können mit:

Sudo apt-get install qtdeclarative5-dev libvlccore-dev libvlc-dev
4
pim

Zusätzlich zum Quellcode-Build bietet vlc-qt auch Ubuntu-Pakete an, die Sie einfach installieren können. Sie müssen jedoch ppa hinzufügen, da es nicht im offiziellen Repository (3rd Party Repository) aufgeführt ist.

_Sudo add-apt-repository ppa:ntadej/tano 
Sudo apt update
Sudo apt install libvlc-qt
_
0
Jim